# Questions

### Question data object

| Field         | Type      | Example                       | Description                                                                    |
| ------------- | --------- | ----------------------------- | ------------------------------------------------------------------------------ |
| choicesString | string\[] | \["Lamb", "Beef", "Pork"]     | List of available choices in the preferred language (Word/Image)               |
| title         | string    | "Which meat did you buy?"     | Question title in the preferred language                                       |
| questionType  | string    | "Button"                      | See [question types](https://docs.feedbackly.com/v.5.0.2/notes#question-types) |
| \_id          | string    | "59b8de18784d2f0001a1590d"    | Question id                                                                    |
| languages     | string\[] | \["en", "es"]                 | List of available languages for the question                                   |
| language      | string    | "en"                          | The language currently selected to display titles etc                          |
| subtitle?     | string    | "Please select from below"    | A subtitle for the question (if specified)                                     |
| choices       | array     |                               | Array of possible choices                                                      |
| > fieldId     | string    | "1"                           | The id of the field                                                            |
| > fieldName   | string    | "Beef"                        | The label of the choice                                                        |
| > type?       | string    | "string"                      | Type of field (Contact question type)                                          |
| > subType?    | string    | "phone"                       | Subtype of the field (Contact question type)                                   |
| > imageUrl?   | string    | "<https://example.com/1.png>" | Image url of the choice (Image question type)                                  |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.feedbackly.com/v.5.0.2/api/questions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
